Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.UIEffect

    java.lang.Object
      java.lang.Enum<Qt.UIEffect>
          com.trolltech.qt.core.Qt.UIEffect

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.UIEffect>

Enclosing interface:
  Qt

    public static enum Qt.UIEffect

extends java.lang.Enum<Qt.UIEffect>
implements QtEnumerator

This enum describes the available UI effects.

By default, Qt will try to use the platform specific desktop settings for each effect. Use the QApplication::setDesktopSettingsAware() function (passing `false` as argument) to prevent this, and the QApplication::setEffectEnabled() to enable or disable a particular effect.

Note that all effects are disabled on screens running at less than 16-bit color depth.

See Also:
  `QApplication::setEffectEnabled`, `QApplication::setDesktopSettingsAware`

Enum Constant Summary
`UI_AnimateCombo` Show animated comboboxes.
`UI_AnimateMenu` Show animated menus.
`UI_AnimateToolBox` Reserved
`UI_AnimateTooltip` Show tooltip animations.
`UI_FadeMenu` Show faded menus.
`UI_FadeTooltip` Show tooltip fading effects.
`UI_General` Internal.

Method Summary
`static Qt.UIEffect` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.UIEffect` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.UIEffect[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UI_General

    public static final Qt.UIEffect UI_General

  Internal.

### UI_AnimateMenu

    public static final Qt.UIEffect UI_AnimateMenu

  Show animated menus.

### UI_FadeMenu

    public static final Qt.UIEffect UI_FadeMenu

  Show faded menus.

### UI_AnimateCombo

    public static final Qt.UIEffect UI_AnimateCombo

  Show animated comboboxes.

### UI_AnimateTooltip

    public static final Qt.UIEffect UI_AnimateTooltip

  Show tooltip animations.

### UI_FadeTooltip

    public static final Qt.UIEffect UI_FadeTooltip

  Show tooltip fading effects.

### UI_AnimateToolBox

    public static final Qt.UIEffect UI_AnimateToolBox

  Reserved

Method Detail

### values

    public static final Qt.UIEffect[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.UIEffect c : Qt.UIEffect.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.UIEffect valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.UIEffect resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD